delimiter $
insert into instalacao_log(ds_passo) values ('passo 243');
drop procedure if exists pr_nfccode_cfe_cliente$

insert into instalacao_log(ds_passo) values ('passo 244');
drop procedure if exists pr_incluir_consumidor_nfp$

insert into instalacao_log(ds_passo) values ('passo 245');
Create Procedure pr_nfccode_cfe_cliente(IN _ID_DOC INT)
BEGIN
	/*CORPO DO PROCEDIMENTO*/
select	 case when ISNULL(cl.ds_cnpj_cpf) then '' else cl.ds_cnpj_cpf end , 
		 IF(IFNULL(cl.ds_nome,'')='', 'NAO INFORMADO', ds_nome),
         cl.ds_tipo_documento
into @documento, @nome, @tipo
  from	erpc_pedidos_documentos_saida dp
  join	erpc_pedidos_venda_liberados  pv
    on 	dp.id_pedido_liberados = pv.id
  join	erpc_clientes cl
  	ON pv.id_cliente = cl.id
where   dp.id_documento_saida = _ID_DOC;

if @documento='' then
	select @nome  as xNome;
elseif @tipo='J' then
	select @documento as CNPJ, @nome as xNome;
elseif @tipo='F' then 
	select @documento as CPF, @nome as xNome;
end if;    

END$

insert into instalacao_log(ds_passo) values ('passo 246');
Create procedure pr_incluir_consumidor_nfp(IN _ID_CPF varchar(20))
BEGIN
	declare _id_cliente int default 0;

select id into _id_cliente from erpc_clientes
where  ds_cnpj_cpf=_ID_CPF order by id limit 1;

if _id_cliente = 0 then
insert into erpc_clientes(
id_municipio,
st_ativo,
st_acao_ativo,
fl_consiste_credito,
ds_tipo_documento,
id_tipo_cliente,
ds_cnpj_cpf,
ds_nome,
ds_fantasia)
values( 3831, 0, 1, 1, 'F',  1, _ID_CPF, '', '');

SELECT LAST_INSERT_ID() into _id_cliente;
end if;

select _id_cliente as ID;

END$
insert into instalacao_log(ds_passo) values ('passo 247');